Bug 1004803 - cluster.nufa :- User should be able to set this option only for DHT volume (distributed or distributed-replicated or any other combination having distributed)
cluster.nufa :- User should be able to set this option only for DHT volume (...
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute (Show other bugs)
2.1
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nithya Balachandran
storage-qa-internal@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 10:01 EDT by Rachana Patel
Modified: 2015-11-27 07:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1218976 (view as bug list)
Environment:
Last Closed: 2015-11-27 07:10:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rachana Patel 2013-09-05 10:01:43 EDT
Description of problem:
 cluster.nufa :- User should be able to set this option only for  DHT volume (distributed or distributed-replicated or any other combination having distributed)

Version-Release number of selected component (if applicable):
3.4.0.30rhs-2.el6_4.x86_64

How reproducible:
always

Steps to Reproduce:
[root@DHT3 ~]# gluster volume set rep cluster.nufa on
volume set: success
[root@DHT3 ~]# gluster v info rep
 
Volume Name: rep
Type: Replicate
Volume ID: 3c98350a-4d50-4fb5-a658-61fca078b4d0
Status: Started
Number of Bricks: 1 x 2 = 2
Transport-type: tcp
Bricks:
Brick1: 10.70.37.195:/rhs/brick2/r3
Brick2: 10.70.37.66:/rhs/brick2/r3
Options Reconfigured:
cluster.nufa: on

Actual results:
able to set nufa option on replicated volume

Expected results:
User should not be able to set this option for replicated volume

Additional info:
Comment 3 Scott Haines 2013-09-27 13:08:06 EDT
Targeting for 3.0.0 (Denali) release.
Comment 6 Vivek Agarwal 2014-04-07 07:41:08 EDT
Per bug triage, between dev, PM and QA, moving these out of denali
Comment 7 Nagaprasad Sathyanarayana 2014-05-06 06:35:07 EDT
BZs not targeted for Denali.

Note You need to log in before you can comment on or make changes to this bug.